Page MenuHomePhabricator

Set up process / criteria for taking over abandoned tools
Closed, ResolvedPublic

Description

NOTE: The RfC on meta has closed with approval of both proposed policies.

We currently do not have a process for this, and @Cyberpower678 wants to take over Hedonil's tools. We should have one.

See https://meta.wikimedia.org/wiki/Requests_for_comment/Abandoned_Labs_tools for discussion.

Also announced on https://lists.wikimedia.org/pipermail/wikitech-l/2015-February/080754.html

Discussion reboot

Straw dog proposals on wikitech

Announcements

Timeline

Related Objects

StatusAssignedTask
OpenNone
OpenNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedmmodell
Resolvedmmodell
Resolvedbd808
Resolved dpatrick
Resolvedbd808
Resolvedmmodell
Resolvedjcrespo
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
scfc moved this task from Triage to Backlog on the Toolforge board.Feb 18 2015, 5:04 PM
scfc moved this task from Backlog to In Progress on the Toolforge board.Feb 18 2015, 5:06 PM
scfc moved this task from In Progress to Waiting for information on the Toolforge board.
Aklapper updated the task description. (Show Details)Feb 19 2015, 12:14 PM
Aklapper added a project: Developer-Advocacy.
Aklapper updated the task description. (Show Details)Feb 19 2015, 2:06 PM

The "real" solution remains to hound maintainers to make certain they are not alone with access to a tool if it starts getting some use - so that there is already someone with all the right accesses to take over at need, of course. :-)

Definitely. It may not solve the problem for already abandoned tools, but existing maintainers should be encouraged to recruit other trusted users from the beginning.

Qgil added a subscriber: Qgil.Apr 30 2015, 10:28 AM

Is someone planning to work on this task during the month of May? If so, please take it. If not, maybe it is better to lower its priority?

Is someone planning to work on this task during the month of May? If so, please take it. If not, maybe it is better to lower its priority?

@Qgil - the only thing holding this up is waiting for someone to close the RfC on meta that has been idle for almost two months now. Do you think you could close it or find someone to do so? That would be great. Thanks.

I don't know if just closing the rfc on meta is enough - this needs some
consensus from the tech community / toollabs admins / wikimedia foundation
ops.

I don't know if just closing the rfc on meta is enough - this needs some
consensus from the tech community / toollabs admins / wikimedia foundation
ops.

Perhaps, but it seems like that would be the logical next step to get this moving again. :)

Is the Cloud-Services team considering this task as a July-September quarterly goal, at a team or individual level? Or is there anybody else willing to contribute time to push this task further in the next months?

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 28 2015, 8:20 AM
Qgil lowered the priority of this task from Normal to Low.Aug 24 2015, 11:42 AM

I don't know if just closing the rfc on meta is enough - this needs some consensus from the tech community / toollabs admins / wikimedia foundation ops.

So somebody needs to drive finding consensus by reaching out to venues like wikitech-l@, labs-l@, operations@ and ask for providing more input on https://meta.wikimedia.org/wiki/Requests_for_comment/Abandoned_Labs_tools ?
Any on-wiki places or other venues that come to anybody's mind who should be contacted?

I'm also wondering how much this whole process is (not) similar/comparable to https://www.mediawiki.org/wiki/Gerrit/Project_ownership#Requesting_repository_ownership (as we discuss defining and dealing with inactive code repositories in T102920).

coren added a comment.Nov 30 2015, 4:26 PM

I'm also wondering how much this whole process is (not) similar/comparable to https://www.mediawiki.org/wiki/Gerrit/Project_ownership#Requesting_repository_ownership (as we discuss defining and dealing with inactive code repositories in T102920).

Very much - at least conceptually. I would expect that many cases of one would also involve the other, for that matter. Both conversations are parallel enough that merging them seems indicated.

scfc added a subscriber: scfc.Mar 14 2016, 7:17 PM

This task has been idling for about a year now, with the RfC going nowhere, and I don't remember any other requests apart from T127494. Is a formal process with lots of criteria and instructions to be followed to the letter still needed? If so, there needs to be someone who drives the discussion and distills it into a draft policy.

This task has been idling for about a year now, with the RfC going nowhere, and I don't remember any other requests apart from T127494. Is a formal process with lots of criteria and instructions to be followed to the letter still needed? If so, there needs to be someone who drives the discussion and distills it into a draft policy.

T91585 is also blocked waiting on this project. I'd still like to be added as an admin for that tool.

ZhouZ moved this task from Backlog to Legal Done on the WMF-Legal board.Apr 14 2016, 1:24 AM
ZhouZ added a subscriber: ZhouZ.
Izno added a subscriber: Izno.May 26 2016, 12:44 AM
bd808 updated the task description. (Show Details)Sep 21 2016, 9:40 PM
bd808 claimed this task.Sep 21 2016, 9:47 PM
bd808 added a subscriber: bd808.

I have drafted two straw dog proposals and am proposing that they be discussed and refined until 2016-10-13. I would then like to call for a consensus vote by the Tool Labs developer community to adopt one or both policies.

Restricted Application added a project: User-bd808. · View Herald TranscriptSep 21 2016, 9:47 PM
JJMC89 added a subscriber: JJMC89.Sep 21 2016, 9:49 PM
DannyH added a subscriber: DannyH.Sep 21 2016, 10:49 PM
-jem- added a subscriber: -jem-.Sep 23 2016, 7:24 PM
Aklapper raised the priority of this task from Low to Normal.Sep 27 2016, 12:40 PM
Qgil added a comment.Oct 27 2016, 1:37 PM

Would this task be a good topic for the Wikimedia-Developer-Summit (2017) ? If so, the deadline to submit new proposals is next Monday, October 31: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/Call_for_participation

bd808 added a comment.Oct 27 2016, 3:30 PM

Would this task be a good topic for the Wikimedia-Developer-Summit (2017) ? If so, the deadline to submit new proposals is next Monday, October 31: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/Call_for_participation

If the RfC discussion is still open in January then I will have failed the community and my team's quarterly goals.

bd808 updated the task description. (Show Details)Nov 22 2016, 10:40 PM
bd808 moved this task from Triage to In Progress on the Cloud-Services board.Nov 24 2016, 9:42 PM
bd808 updated the task description. (Show Details)Dec 11 2016, 5:48 PM

The RfC vote on meta has been closed by @MarcoAurelio:

The results of the vote are as follows:

  • The proposal to enact the "Tool Labs right to fork policy" and form a committee to help oversee the policy. With 29 votes in favor and 2 votes against the proposal passes with a 93.54% approval.
  • The proposal to enact the "Tool Labs abandoned tool policy" and form a committee to help oversee the policy. With 19 votes in favor and 4 votes against, the proposal passes with 82.60% of approval.

The result of this RFC has been concluded using an objective measure: counting votes and calculating the support, so whist this user has voted in this RFC, the results are not altered. —MarcoAurelio 16:04, 11 December 2016 (UTC)

Next steps will be to discuss the initial structure for the volunteer committee to oversee the new policies and bootstrap that committee. Minor changes to the policies themselves will be needed to incorporate the approved committee system.

Qgil awarded a token.Dec 15 2016, 10:55 AM
Jfhutson removed a subscriber: Jfhutson.Dec 15 2016, 1:42 PM
bd808 added a comment.Jan 19 2017, 6:08 PM

The final step in this initial process is for me to write up the outcome of the various votes and polls and announce the formation of the initial committee. Then the committee can get started on their work to flesh out the skeleton policies and start working with the Tool Labs community. It would be nice to get these final parts resolved before the 2nd birthday of this task. :)

Huji added a subscriber: Huji.Jan 19 2017, 8:36 PM
bd808 closed this task as Resolved.Jan 26 2017, 4:24 AM

I'm going to declare victory on this task. The committee will have more work to do before they handle the first takeover request, but the basic policies and structure are in place. Thanks to everyone who helped move this forward, especially @yuvipanda for at least indirectly challenging me to see if it was a solvable problem.